Name:		yacas
Version:	1.2.2
Release:	2%{?dist}
Summary:	An easy to use, general purpose Computer Algebra System

Group:		Applications/Engineering
License:	GPLv2+
URL:		http://yacas.sourceforge.net
Source0:	http://yacas.sourceforge.net/backups/yacas-1.2.2.tar.gz
Source2:	yacaslogo.xpm
Source3:	yacas.desktop
Source4:	yacas-rpmlintrc
Patch0:		yacas-1.2.0-gcc43.patch

BuildRequires:	dejagnu
BuildRequires:	fltk-devel
BuildRequires:	gcc-c++
BuildRequires:	gnuplot
BuildRequires:	gperf
BuildRequires:	gsl-devel
BuildRequires:	libtool
BuildRequires:	readline-devel
BuildRequires:	gcc-gfortran
BuildRequires:	libstdc++-devel
# needed BuildRequires for proteus
BuildRequires:	bzip2
BuildRequires:	mingw32-termcap
BuildRequires:	texlive-latex
BuildRequires:	libX11-devel
BuildRequires:	libXext-devel
BuildRequires:	libXmu-devel
BuildRequires:	libXt-devel
BuildRequires:	xorg-x11-server-devel
BuildRequires:	xorg-x11-proto-devel
BuildRequires:	texlive-texmf texlive-texmf-latex

Requires:	lynx

%description
YACAS is an easy to use, general purpose Computer Algebra System, a program
for symbolic manipulation of mathematical expressions. It uses its own
programming language designed for symbolic as well as arbitrary-precision
numerical computations. The system has a library of scripts that implement
many of the symbolic algebra operations; new algorithms can be easily added
to the library. YACAS comes with extensive documentation (hundreds of pages)
covering the scripting language, the functionality that is already
implemented in the system, and the algorithms we used.

%package devel
Summary:	Headers and libraries needed to develop with programs using YACAS
Group:		Development/Libraries
Requires:	gsl-devel
Requires:	libXau-devel
Requires:	glibc-devel
Requires:	libxcb-devel
Requires:	libX11-devel
Requires:	libXext-devel
Requires:	xorg-x11-server-devel
Requires:	libICE-devel
Requires:	yacas
BuildArch:	noarch

%description devel
This package contains the header files and libraries needed to develop
programs that use YACAS.

%package doc
Summary:	Additional YACAS documentation
Group:		Development/Libraries
BuildArch: noarch

%description doc
This package contains additional documentation and the books in pdf
format available for YACAS

%prep
%setup -q
iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && mv -f AUTHORS.conv AUTHORS
%patch0 -p0 -b .yacas-1.2.0-gcc43.patch


%build
%configure --with-html-dir=%{_docdir}/%{name}/documentation \
	--enable-archive \
	--enable-ps-doc \
	--with-ps-dir=%{_docdir}/%{name}/ps \
	--enable-pdf-doc \
	--with-pdf-dir=%{_docdir}/%{name}/pdf \
	--disable-static \
	--enable-server
make %{?_smp_mflags}

%check
%{__make} test


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%{__install} -p -d -m755 %{buildroot}/%{_docdir}/%{name}/{documentation,ps,pdf}
%{__install} -p -m644 AUTHORS COPYING ChangeLog INSTALL README* TODO %{buildroot}/%{_docdir}/%{name}
test -f %{buildroot}/%{_docdir}/%{name}/README.Win32 && %{__rm} %buildroot/%{_docdir}/%{name}/README.Win32
%{__install} -p -m644 manmake/*.pdf %{buildroot}/%{_docdir}/%{name}/pdf
test -d %{_builddir}/%name-%version/YacasNotebook && cp -a %{_builddir}/%name-%version/YacasNotebook %{buildroot}/%{_docdir}/%{name}

# put all documentation to %{_docdir} and create a symlink for the tools
%{__rm} %{buildroot}/%{_datadir}/%{name}/documentation/yacaslogo.gif
%{__mv} %{buildroot}/%{_datadir}/%{name}/documentation/hints %{buildroot}/%{_docdir}/%{name}/documentation/
%{__ln_s} %{_docdir}/%{name}/documentation %{buildroot}/%{_datadir}/%{name}/documentation 

# install desktop entry
%{__install} -p -d -m755 %{buildroot}/%{_datadir}/pixmaps
%{__install} -p -d -m755 %{buildroot}/%{_datadir}/applications
%{__install} -p -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps
%{__install} -p -m 644 %{SOURCE3} %{buildroot}%{_datadir}/applications
desktop-file-install --dir=%{buildroot}/%{_datadir}/applications %{SOURCE3}


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}
%exclude %{_docdir}/%{name}/pdf
%exclude %{_docdir}/%{name}/ps
%exclude %{_docdir}/%{name}/documentation/*
%{_bindir}/%{name}*
%{_bindir}/ytxt2tex
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/include
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/yacaslogo.xpm
%{_libdir}/scripts.dat
%defattr(755,root,root)
%{_datadir}/%{name}/manmake/txt2yacasdoc.pl
%{_datadir}/%{name}/manmake/book2TeX.sh

%files devel
%defattr(-,root,root,-)
%doc NEWS README TODO INSTALL COPYING AUTHORS ChangeLog
%{_datadir}/%{name}/include/

%files doc
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}/pdf
%doc %{_docdir}/%{name}/ps
%doc %{_docdir}/%{name}/documentation


%changelog
* Tue Apr 22 2010 Henrique Junior <lspooky@fedoraproject.org> - 1.2.2-2
- Fixing timestamps
* Mon Apr 12 2010 Henrique Junior <lspooky@fedoraproject.org> - 1.2.2-1
- Initial package

